{
  "schema_version": "1.4.0",
  "id": "GHSA-mff7-9j53-m4xq",
  "modified": "2025-04-12T12:43:15Z",
  "published": "2022-05-13T01:28:04Z",
  "aliases": [
    "CVE-2014-9376"
  ],
  "details": "Integer underflow in Ettercap 0.8.1 allows remote attackers to cause a denial of service (out-of-bounds write) and possibly execute arbitrary code via a small (1) size variable value in the dissector_dhcp function in dissectors/ec_dhcp.c, (2) length value to the dissector_gg function in dissectors/ec_gg.c, or (3) string length to the get_decode_len function in ec_utils.c or a request without a (4) username or (5) password to the dissector_TN3270 function in dissectors/ec_TN3270.c.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2014-9376"
    },
    {
      "type": "WEB",
      "url": "https://github.com/Ettercap/ettercap/pull/602"
    },
    {
      "type": "WEB",
      "url": "https://github.com/Ettercap/ettercap/pull/605"
    },
    {
      "type": "WEB",
      "url": "https://github.com/Ettercap/ettercap/pull/606"
    },
    {
      "type": "WEB",
      "url": "https://github.com/Ettercap/ettercap/pull/609"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201505-01"
    },
    {
      "type": "WEB",
      "url": "https://www.obrela.com/home/security-labs/advisories/osi-advisory-osi-1402"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/534248/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/71696"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2014-12-19T15:59:00Z"
  }
}